Cocoon API: Class ConnectionDefs

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.processor.sql
Class ConnectionDefs

    java.lang.Object
      |
      +--org.apache.cocoon.processor.sql.ConnectionDefs

public class ConnectionDefs
extends java.lang.Object

Default connection values.

Version:
  $Revision: 1.7 $ $Date: 2000/02/13 18:29:32 $
Author:
  Donald Ball

Field Summary
`protected java.util.Hashtable` | `creators` The connection creators table
`protected java.util.Properties` | `default_query_props` The page-specific default query properties
`protected static java.util.Properties` | `master_default_query_props` The overall master default query properties
`protected java.util.Hashtable` | `query_props_table` The query properties defaults table

Constructor Summary
`ConnectionDefs(org.w3c.dom.Document document)`

Method Summary
`java.sql.Connection` | `getConnection(java.lang.String name)`
`ConnectionCreator` | `getConnectionCreator(java.lang.String name)`
`java.util.Properties` | `getQueryProperties()`
`java.util.Properties` | `getQueryProperties(java.lang.String name)`
`protected void` | `processConnectionDef(org.w3c.dom.Element connection)` Process a single connection definition node
`protected void` | `processQueryDef(org.w3c.dom.Element querydef)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### creators

    protected java.util.Hashtable creators

  The connection creators table

### query_props_table

    protected java.util.Hashtable query_props_table

  The query properties defaults table

### default_query_props

    protected java.util.Properties default_query_props

  The page-specific default query properties

### master_default_query_props

    protected static java.util.Properties master_default_query_props

  The overall master default query properties

Constructor Detail

### ConnectionDefs

    public ConnectionDefs(org.w3c.dom.Document document)
                   throws java.lang.Exception

Method Detail

### processConnectionDef

    protected void processConnectionDef(org.w3c.dom.Element connection)
                                 throws java.lang.Exception

  Process a single connection definition node

### processQueryDef

    protected void processQueryDef(org.w3c.dom.Element querydef)

### getConnectionCreator

    public ConnectionCreator getConnectionCreator(java.lang.String name)

### getConnection

    public java.sql.Connection getConnection(java.lang.String name)
                                      throws java.sql.SQLException

### getQueryProperties

    public java.util.Properties getQueryProperties()

### getQueryProperties

    public java.util.Properties getQueryProperties(java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.